commit a32058d0695ecb1a27642ab5aa7cd7438cb1474b
parent 2f757d5a8eb294fcf66411a3e09b8f7480ff9f73
Author: arjoonn <arjoonn@noreply.localhost>
Date: Wed, 22 Feb 2023 05:34:30 +0000
Bundle docker with JCI (!45)
Branch auto created by JayporeCI
```jayporeci
╔ 🟢 : JayporeCI [sha 7c97814853]
┏━ build_and_test
┃
┃ 🟢 : JciEnv [b52ed404] 1:24
┃ 🟢 : Jci [6c2ea19c] 0: 7 ❮-- ['JciEnv']
┃ 🟢 : black [9f8a27df] 0: 0 ❮-- ['JciEnv']
┃ 🟢 : pylint [65f9c262] 0: 8 ❮-- ['JciEnv']
┃ 🟢 : pytest [e88681b0] 1:41 81% ❮-- ['JciEnv']
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛
┏━ Publish
┃
┃ 🟢 : DockerHubJci [ba13b8cb] 1: 9
┃ 🟢 : DockerHubJcienv [6444fc59] 0:58
┃ 🟢 : PublishDocs [615ac46a] 0:22
┃ 🟢 : PublishPypi [7c8dea1d] 0: 6
┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━┛
```
Co-authored-by: arjoonn sharma <arjoonn@midpathsoftware.com>
Reviewed-on: https://gitea.midpathsoftware.com/midpath/jaypore_ci/pulls/45
Diffstat:
5 files changed, 27 insertions(+), 2 deletions(-)
diff --git a/Dockerfile b/Dockerfile
@@ -1,5 +1,7 @@
from python:3.11 as jcienv
workdir /app
+add cicd/install_docker.sh .
+run bash install_docker.sh
run python3 -m pip install --upgrade pip
run python3 -m pip install poetry
add pyproject.toml .
diff --git a/README.md b/README.md
@@ -1,5 +1,6 @@
# Jaypore CI
+

Documentation is at : https://www.jayporeci.in
diff --git a/cicd/install_docker.sh b/cicd/install_docker.sh
@@ -0,0 +1,23 @@
+#! /bin/bash
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+main(){
+ apt-get update
+ apt-get install -y \
+ ca-certificates \
+ curl \
+ gnupg \
+ lsb-release
+ mkdir -m 0755 -p /etc/apt/keyrings
+ curl -fsSL https://download.docker.com/linux/debian/gpg | gpg --dearmor -o /etc/apt/keyrings/docker.gpg
+ echo \
+ "deb [arch=$(dpkg --print-architecture) signed-by=/etc/apt/keyrings/docker.gpg] https://download.docker.com/linux/debian \
+ $(lsb_release -cs) stable" | tee /etc/apt/sources.list.d/docker.list > /dev/null
+ apt-get update
+ apt-get install -y docker-ce docker-ce-cli containerd.io docker-buildx-plugin docker-compose-plugin
+
+}
+(main)
diff --git a/cicd/pre-push.sh b/cicd/pre-push.sh
@@ -39,7 +39,6 @@ hook() {
--name jayporeci__pipe__$SHA \
-e JAYPORE_CODE_DIR=$JAYPORE_CODE_DIR \
-e SHA=$SHA \
- -v /usr/bin/docker:/usr/bin/docker:ro \
-v /var/run/docker.sock:/var/run/docker.sock \
-v $REPO_ROOT:/jaypore_ci/repo:ro \
-v /tmp/jayporeci__src__$SHA:/jaypore_ci/run \
diff --git a/pyproject.toml b/pyproject.toml
@@ -1,6 +1,6 @@
[tool.poetry]
name = "jaypore_ci"
-version = "0.2.11"
+version = "0.2.12"
description = ""
authors = ["arjoonn sharma <arjoonn.94@gmail.com>"]